Bug 471935 - Can't create/save pptp VPN
Can't create/save pptp VPN
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager-pptp (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-17 13:54 EST by Tom London
Modified: 2008-11-24 09:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-24 09:45:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2008-11-17 13:54:46 EST
Description of problem:
Attempting to create a pptp VPN using NM's create VPN gui fails.

Here is spew from ~/.xsession-errors:

** (nm-connection-editor:6197): WARNING **: Invalid connection: 'NMSettingConnection' / 'id' invalid: 2

** (nm-connection-editor:6197): WARNING **: Invalid connection: 'NMSettingConnection' / 'id' invalid: 2

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table != NULL' failed

** (nm-connection-editor:6197): WARNING **: Invalid setting VPN: gateway

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

(nm-connection-editor:6197): GLib-CRITICAL **: g_hash_table_insert_internal: assertion `hash_table != NULL' failed

** (nm-connection-editor:6197): WARNING **: Invalid connection: 'NMSettingVPN' / 'service-type' invalid: 2



Version-Release number of selected component (if applicable):
NetworkManager-pptp-0.7.0-0.12.svn4229.fc10.x86_64

How reproducible:
Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2008-11-21 12:58:24 EST
Any further info I can provide to help out here?
Comment 2 Tom London 2008-11-24 09:45:01 EST
Seems fixed with

NetworkManager-vpnc-0.7.0-0.11.svn4326.fc11.x86_64
NetworkManager-0.7.0-0.12.svn4326.fc11.x86_64
NetworkManager-openvpn-0.7.0-16.svn4326.fc11.x86_64
NetworkManager-glib-0.7.0-0.12.svn4326.fc11.x86_64
NetworkManager-gnome-0.7.0-0.12.svn4326.fc11.x86_64
NetworkManager-pptp-0.7.0-0.12.svn4326.fc11.x86_64

Thanks for the rebuild.

Closing "rawhide".

Note You need to log in before you can comment on or make changes to this bug.